Bug 683963 - SELinux is preventing /usr/libexec/gsd-datetime-mechanism from 'getattr' accesses on the sistema de archivos /.
Summary: SELinux is preventing /usr/libexec/gsd-datetime-mechanism from 'getattr' acce...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:99f8ec4a300...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-10 19:05 UTC by Iván Jiménez
Modified: 2011-03-19 05:53 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.9.16-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-19 05:53:51 UTC


Attachments (Terms of Use)

Description Iván Jiménez 2011-03-10 19:05:15 UTC
SELinux is preventing /usr/libexec/gsd-datetime-mechanism from 'getattr' accesses on the sistema de archivos /.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that gsd-datetime-mechanism should be allowed getattr access on the  filesystem by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gsd-datetime-me /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:gnomeclock_t:s0-s0:c0.c1023
Target Context                system_u:object_r:fs_t:s0
Target Objects                / [ filesystem ]
Source                        gsd-datetime-me
Source Path                   /usr/libexec/gsd-datetime-mechanism
Port                          <Desconocido>
Host                          (removed)
Source RPM Packages           gnome-settings-daemon-2.91.91-1.fc15
Target RPM Packages           filesystem-2.4.37-1.fc15
Policy RPM                    selinux-policy-3.9.16-1.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.38-0.rc8.git0.1.fc15.x86_64 #1 SMP Tue Mar 8
                              08:22:15 UTC 2011 x86_64 x86_64
Alert Count                   6
First Seen                    lun 09 ene 2012 01:56:02 GMT
Last Seen                     lun 09 ene 2012 01:58:14 GMT
Local ID                      2c0ce13e-d779-470f-b41c-e3ca8e2cc31b

Raw Audit Messages
type=AVC msg=audit(1326074294.231:96): avc:  denied  { getattr } for  pid=3351 comm="gsd-datetime-me" name="/" dev=sda2 ino=2 scontext=system_u:system_r:gnomeclock_t:s0-s0:c0.c1023 tcontext=system_u:object_r:fs_t:s0 tclass=filesystem


type=SYSCALL msg=audit(1326074294.231:96): arch=x86_64 syscall=fstatfs success=no exit=EACCES a0=b a1=7fff9fb21ad0 a2=0 a3=6c6275442f65706f items=0 ppid=1 pid=3351 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=gsd-datetime-me exe=/usr/libexec/gsd-datetime-mechanism subj=system_u:system_r:gnomeclock_t:s0-s0:c0.c1023 key=(null)

Hash: gsd-datetime-me,gnomeclock_t,fs_t,filesystem,getattr

audit2allow

#============= gnomeclock_t ==============
allow gnomeclock_t fs_t:filesystem getattr;

audit2allow -R

#============= gnomeclock_t ==============
allow gnomeclock_t fs_t:filesystem getattr;

Comment 1 Miroslav Grepl 2011-03-11 10:28:20 UTC
Fixed in selinux-policy-3.9.16-4.fc16

Comment 2 Fedora Update System 2011-03-17 15:28:29 UTC
selinux-policy-3.9.16-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-5.fc15

Comment 3 Fedora Update System 2011-03-19 05:52:54 UTC
selinux-policy-3.9.16-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.